--[[
 _______   ______   ___   ___  __  .___  ___. 
|   ____| /  __  \  \  \ /  / |  | |   \/   | 
|  |__   |  |  |  |  \  V  /  |  | |  \  /  | 
|   __|  |  |  |  |   >   <   |  | |  |\/|  | 
|  |     |  `--'  |  /  .  \  |  | |  |  |  | 
|__|      \______/  /__/ \__\ |__| |__|  |__| 

]]--

function ACLScript(res)
    if res == getThisResource() then
        if not isObjectInACLGroup("resource."..getResourceName(getThisResource()), aclGetGroup("Admin")) then
            outputDebugString("O Script Do Painel De Login Não Foi Colocado Na ACL (Admin)", 4, 255, 0, 0)
        end
    end
end
ACLScript()

function Logar(userL, passL)
    if userL ~= "" then 
        if passL ~= "" then
            local accountExists = getAccount(userL, passL)
            if accountExists then
                if not isGuestAccount(accountExists) and isGuestAccount(getPlayerAccount(source)) then
                    logIn(source, accountExists, passL)
                    triggerClientEvent(source, "FX:PlayerEntrar", source)
                    triggerClientEvent( source, "a_infobox", source, "Parabéns Você logou Com Sucesso, Seja Bem-Vindo Ao "..config.NomeDoServidor, "success" )
                    triggerClientEvent(source, "FX:SalvarDados", source, userL, passL)
                else
                    triggerClientEvent( source, "a_infobox", source, "Ja Existe Um Cidadão Logado Na Conta Informada!", "danger" )
                end
            else
                triggerClientEvent( source, "a_infobox", source, "A Conta Informada Não Existe Ou Esta Inserida De Forma Incorreta!", "danger" )
            end
        else
            triggerClientEvent( source, "a_infobox", source, "Você Não Inseriu Sua Senha", "danger" )
        end
    else
        triggerClientEvent( source, "a_infobox", source, "Você Não Inseriu O Nome De Usuario", "danger" )
    end
end
addEvent("FX:EscritasLogin", true)
addEventHandler("FX:EscritasLogin", getRootElement(), Logar)

function Registrar(userR, passR, passRR)
	if userR ~= "" then 
		if passR ~= "" then 
			if passRR ~= "" then
				if passR == passRR then
					local accountExists = getAccount(userR, passR)
					if not accountExists then
						local accountAdded = addAccount(userR, passR)
						if accountAdded then
							triggerClientEvent( source, "a_infobox", source, "Parabéns Você Se Registrou Com Sucesso, Agora É Um Cidadão Do "..config.NomeDoServidor, "success" )
						else
							triggerClientEvent( source, "a_infobox", source, "Ocorreu Um Erro Ao Criar A Conta, Tente Novamente!", "danger" )
						end
					else
						triggerClientEvent( source, "a_infobox", source, "Esta Conta Ja Esta Sendo Ultilizada por Outro Cidadão!", "danger" )
					end
				else
					triggerClientEvent( source, "a_infobox", source, "As Senhas Não São Iguais!", "danger" )
				end
			else
				triggerClientEvent( source, "a_infobox", source, "Confirme A Senha Colocada!", "danger" )
			end
		else
			triggerClientEvent( source, "a_infobox", source, "Você Não Inseriu Sua Senha!", "danger" )
		end
	else
		triggerClientEvent( source, "a_infobox", source, "Você Não Inseriu O Nome De Usuario!", "danger" )
	end
end
addEvent("FX:EscritasRegister", true)
addEventHandler("FX:EscritasRegister", getRootElement(), Registrar)
